umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdSetStereotype Class Reference

`#include <cmdsetstereotype.h>`

Inheritance diagram for Uml::CmdSetStereotype:

## Public Member Functions
| CmdSetStereotype (UMLObject *obj, const QString &stereo)
| ~CmdSetStereotype ()
void | redo ()
void | undo ()
Public Member Functions inherited from Uml::CmdBaseObjectCommand
| CmdBaseObjectCommand (UMLObject *object)
virtual | ~CmdBaseObjectCommand ()

## Private Attributes
QString | m_stereo
QString | m_oldStereo

## Additional Inherited Members
Protected Member Functions inherited from Uml::CmdBaseObjectCommand
void | setObject (UMLObject *object)
UMLObject * | object ()
Protected Attributes inherited from Uml::CmdBaseObjectCommand
Uml::ID::Type | m_objectId
QPointer< UMLObject > | m_object

## Constructor & Destructor Documentation

## ◆ CmdSetStereotype()

Uml::CmdSetStereotype::CmdSetStereotype | ( | UMLObject * | obj,
|  | const QString & | stereo )

## ◆ ~CmdSetStereotype()

Uml::CmdSetStereotype::~CmdSetStereotype | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdSetStereotype::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdSetStereotype::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_oldStereo

QString Uml::CmdSetStereotype::m_oldStereo
| private

## ◆ m_stereo

QString Uml::CmdSetStereotype::m_stereo
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/cmdsetstereotype.h
- umbrello/cmds/cmdsetstereotype.cpp